Page MenuHomePhabricator

Support for custom MAC addresses on a per-VLAN basis
Closed, ResolvedPublicFEATURE REQUEST

Description

Hi!

I am in a situation where I have two links through a provider that only assigns one IP address per MAC address via their DHCP. Because I do bonding, there is only a single MAC address on the bonding interface, and because of the lack of support for custom MAC addresses on per-VLAN basis, this has been causing problems, unless I use physical interfaces for each link.

I think there should be support for custom MAC addresses on per-VLAN basis in interface configuration modes. If someone can suggest a workaround at the moment, please do :)

A similar situation has also been described on EdgeOS back in 2014: https://community.ubnt.com/t5/EdgeMAX/EdgeMAX-VLAN-MAC-Change/td-p/485755

Thanks!

Details

Difficulty level
Normal (likely a few hours)

Event Timeline

Looks like this has been implemented in EdgeMAX as of v1.8.5: http://community.ubnt.com/t5/EdgeMAX-Updates-Blog/EdgeMAX-EdgeRouter-software-release-v1-8-5/ba-p/1591710

"[Interface] Add support for setting MAC address on VLAN interface."

syncer added a subscriber: VyOS 1.2 Crux.
pasik added a subscriber: pasik.Oct 1 2018, 9:55 AM
syncer raised the priority of this task from Wishlist to Normal.Oct 13 2018, 10:21 AM
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc4); removed VyOS 1.2 Crux.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.0-rc4) board.
syncer added a subscriber: syncer.

Some more details from here
https://community.ubnt.com/t5/EdgeRouter/EdgeMAX-VLAN-MAC-Change/m-p/895298/highlight/true#M34072

#!/bin/sh
ip link set dev eth0.1234 address XX:XX:XX:XX:XX:XX

so we just need corresponding records in node.def

syncer changed the subtype of this task from "Task" to "Feature Request".Oct 18 2018, 5:47 AM
syncer closed this task as Resolved.Jan 26 2019, 10:04 PM
syncer claimed this task.
syncer added a project: VyOS-1.2.0-GA.